Bug 10774 - [PATCH] man 3 strcasecmp и man 3 index: предлагают подключать неверный хедер
: [PATCH] man 3 strcasecmp и man 3 index: предлагают подключать неверный хедер
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/man-pages-ru)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-02-05 19:05 by
Modified: 2007-05-26 11:42 (History)


Attachments
Патч для man 3 strcasecmp (955 bytes, patch)
2007-02-05 19:21, Slava Semushin
no flags Details | Diff
Патч для man 3 index (1.05 KB, patch)
2007-02-09 16:50, Slava Semushin
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-02-05 19:05:30
Согласно man 3 strcasecmp нужно подключить хедер string.h, тогда как в
английском мане (и в реальности) эти ф-ции содержатся в файле strings.h
------- Comment #1 From 2007-02-05 19:21:29 -------
Created an attachment (id=1782) [details]
Патч для man 3 strcasecmp

Посколько изменения в мане минимальны (изменился хедер и секция соответствия
стандартам), то я сделал патч.
------- Comment #2 From 2007-02-07 10:46:42 -------
Спасибо!
------- Comment #3 From 2007-02-09 16:50:22 -------
Created an attachment (id=1789) [details]
Патч для man 3 index

В man index(3) / man rindex(3) такая же проблема. Обновление цепляю.
------- Comment #4 From 2007-02-09 17:38:37 -------
(In reply to comment #2)
> Спасибо!

Пожелание к %%changelog'ам в пакете man-pages-ru: указывать номера закрытых
багов и по возможности благодарить авторов переводов :)
------- Comment #5 From 2007-03-15 07:30:35 -------
Fixed in man-pages-ru-0.98-alt10.